﻿/**
 * @package     Fireworks Software jQuery Drop-Down Menu
 * @subpackage  JavaScript
 * @copyright   Copyright (C) 2012 Fireworks Software, Inc. All rights reserved.
 * @license     License GNU General Public License version 3 or later; see LICENSE.txt
 */

var timeout    = 500;
var closetimer = 0;
var ddmenuitem = 0;

function fwsddm_open()
{  fwsddm_canceltimer();
   fwsddm_close();
   ddmenuitem = jQuery(this).find('ul').css('visibility', 'visible');}

function fwsddm_close()
{  if(ddmenuitem) ddmenuitem.css('visibility', 'hidden');}

function fwsddm_timer()
{  closetimer = window.setTimeout(fwsddm_close, timeout);}

function fwsddm_canceltimer()
{  if(closetimer)
   {  window.clearTimeout(closetimer);
      closetimer = null;}}

jQuery(document).ready(function()
{  jQuery('#top_nav > .menu > li').bind('mouseover', fwsddm_open)
   jQuery('#top_nav > .menu > li').bind('mouseout',  fwsddm_timer)});

document.onclick = fwsddm_close;